Delete a holding Run in API Explorer
Ask AI
DELETE
/api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/holdings/{uuid}
curl \
--request DELETE 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed/holdings/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (204)
{
"uuid": "bc14e8c1-28de-429c-8896-d05aa57645fe",
"created_at": "2026-07-19T23:21:49+01:00",
"updated_at": "2026-07-19T23:21:49+01:00",
"fund_name": "Fund",
"reference": "REF123",
"sector": "Europe",
"sedol": "ACB123",
"isin": "ACB123",
"citi": "ACB123",
"units": 5,
"unit_price": {
"amount": {
"example": "1000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£10.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"unit_price_raw": 10,
"purchase_price": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"is_active": true,
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "e47b2e68-0ede-4a5c-a172-7683c181243f",
"created_at": "2026-07-19T23:21:49+01:00",
"updated_at": "2026-07-19T23:21:49+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "c818f7f5-8dfa-4113-b980-923817cc54ab",
"created_at": "2026-07-19T23:21:55+01:00",
"updated_at": "2026-07-19T23:21:55+01:00",
"valued_at": "2026-07-19T23:21:55+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "0b9f6a4c-ccca-4df3-99da-a78f9d339928",
"created_at": "2026-07-19T23:21:55+01:00",
"updated_at": "2026-07-19T23:21:55+01:00",
"is_proposed": true,
"proposed_at": "2026-07-19T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
},
"external_references": {
"uuid": "f10b6011-229a-4b44-824b-769ba88ec805",
"created_at": "2026-07-19T23:21:49+01:00",
"updated_at": "2026-07-19T23:21:49+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
Response examples (409)
{
"uuid": "bc14e8c1-28de-429c-8896-d05aa57645fe",
"created_at": "2026-07-19T23:21:49+01:00",
"updated_at": "2026-07-19T23:21:49+01:00",
"fund_name": "Fund",
"reference": "REF123",
"sector": "Europe",
"sedol": "ACB123",
"isin": "ACB123",
"citi": "ACB123",
"units": 5,
"unit_price": {
"amount": {
"example": "1000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£10.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"unit_price_raw": 10,
"purchase_price": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"is_active": true,
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "e47b2e68-0ede-4a5c-a172-7683c181243f",
"created_at": "2026-07-19T23:21:49+01:00",
"updated_at": "2026-07-19T23:21:49+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "c818f7f5-8dfa-4113-b980-923817cc54ab",
"created_at": "2026-07-19T23:21:55+01:00",
"updated_at": "2026-07-19T23:21:55+01:00",
"valued_at": "2026-07-19T23:21:55+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "0b9f6a4c-ccca-4df3-99da-a78f9d339928",
"created_at": "2026-07-19T23:21:55+01:00",
"updated_at": "2026-07-19T23:21:55+01:00",
"is_proposed": true,
"proposed_at": "2026-07-19T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
},
"external_references": {
"uuid": "f10b6011-229a-4b44-824b-769ba88ec805",
"created_at": "2026-07-19T23:21:49+01:00",
"updated_at": "2026-07-19T23:21:49+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}